Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class XSLContentAssistProcessor

    public class XSLContentAssistProcessor
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXSLContentAssistProcessor

The XSL Content Assist Processor provides content assistance for various attributes values within the XSL Editor. This includes support for xpaths on select statements as well as on test and match attributes.

## Constructor Summary

`XSLContentAssistProcessor()`

## Method Summary

`protected boolean` | `assistanceOnAttribute(IDOMNode node , ITextRegion aRegion)`
`public ICompletionProposal[]` | `computeCompletionProposals(ITextViewer textViewer , int documentPosition)` CONTENT ASSIST STARTS HERE Return a list of proposed code completions based on the specified location within the document that corresponds to the current cursor position within the text-editor control.
`public IContextInformation[]` | `computeContextInformation(ITextViewer viewer , int offset)` (non-Javadoc)
`public char[]` | `getContextInformationAutoActivationCharacters()` (non-Javadoc)
`public IContextInformationValidator` | `getContextInformationValidator()` (non-Javadoc)
`public java.lang.String` | `getMaximumVersion()`
`public java.lang.String` | `getMinimumVersion()`
`public java.util.ArrayList` | `getNamespaces()`

## Constructor Detail

## XSLContentAssistProcessor

`public XSLContentAssistProcessor()`

Provides an XSL Content Assist Processor class that is XSL aware and XML aware.

## Methods Detail

## assistanceOnAttribute

`protected boolean assistanceOnAttribute(IDOMNode node , ITextRegion aRegion)`

### Parameters

`node`

`aRegion`

### Returns

`boolean`

## computeCompletionProposals

`public ICompletionProposal[] computeCompletionProposals(ITextViewer textViewer , int documentPosition)`

CONTENT ASSIST STARTS HERE Return a list of proposed code completions based on the specified location within the document that corresponds to the current cursor position within the text-editor control.

### Parameters

`textViewer`

`documentPosition` - - the cursor location within the document

### Returns

`ICompletionProposal[]` - an array of ICompletionProposal

## computeContextInformation

`public IContextInformation[] computeContextInformation(ITextViewer viewer , int offset)`

(non-Javadoc)

### Parameters

`viewer`

`offset`

### Returns

`IContextInformation[]`

## getContextInformationAutoActivationCharacters

`public char[] getContextInformationAutoActivationCharacters()`

(non-Javadoc)

### Returns

`char[]`

## getContextInformationValidator

`public IContextInformationValidator getContextInformationValidator()`

(non-Javadoc)

### Returns

`IContextInformationValidator`

## getMaximumVersion

`public java.lang.String getMaximumVersion()`

### Returns

`java.lang.String`

## getMinimumVersion

`public java.lang.String getMinimumVersion()`

### Returns

`java.lang.String`

## getNamespaces

`public java.util.ArrayList getNamespaces()`

### Returns

`java.util.ArrayList`